package com.fjhx.service.bom;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.entity.bom.BomDetails;
import com.fjhx.params.bom.BomDetailsVo;
import com.fjhx.base.BaseService;

import java.util.Map;

/**
 * <p>
 * bom明细 服务类
 * </p>
 *
 * @author ${author}
 * @since 2022-07-01
 */
public interface BomDetailsService extends BaseService<BomDetails> {

    Page<BomDetails> getPage(Map<String, String> condition);

    void add(BomDetailsVo bomDetailsVo);

    void edit(BomDetailsVo bomDetailsVo);

    void delete(BomDetailsVo bomDetailsVo);

    BomDetails detail(BomDetailsVo bomDetailsVo);

}
